import React from 'react';
import { IImagesSortableContainerProps } from '../../ImageSortable';
export interface IDNDContainerProps {
    vertical?: boolean;
    horizontal?: boolean;
    items: {
        [key: string]: any;
        id: string | number;
    }[];
    containerCardStyle: any;
    onChange: (newItems: any[], currentIndex: number, oldIndex: number, resource: any) => void;
    renderCard: (props: {
        data: any;
        dragging: boolean;
        dragOverlay: boolean;
        disabled: boolean;
        index: number;
    }) => any;
}
export declare const DNDContainer: React.NamedExoticComponent<IDNDContainerProps>;
export declare function SortableItem({ id, index, useDragOverlay, value, renderItem }: IImagesSortableContainerProps): any;
export declare const Item: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<any, string | number | symbol> & React.RefAttributes<HTMLDivElement>>>;
//# sourceMappingURL=DNDContainer.d.ts.map